This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807988 - [abrt] hgsvn-0.1.9-1.fc16: common.py:147:_run_raw_command:ExternalCommandFailed: External program failed (return code 1): hg '--encoding' 'utf-8' 'heads' '--template' '{node}
[abrt] hgsvn-0.1.9-1.fc16: common.py:147:_run_raw_command:ExternalCommandFail...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hgsvn (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:e6030346aef555550a5340df97f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 05:56 EDT by Mikhail Veltishchev
Modified: 2013-12-13 22:52 EST (History)
1 user (show)

See Also:
Fixed In Version: hgsvn-0.2.1-0.1.dev.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-01 04:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail Veltishchev 2012-03-29 05:56:11 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/hgpullsvn
executable:     /usr/bin/hgpullsvn
kernel:         3.2.10-3.fc16.x86_64
reason:         common.py:147:_run_raw_command:ExternalCommandFailed: External program failed (return code 1): hg '--encoding' 'utf-8' 'heads' '--template' '{node}
time:           Thu 29 Mar 2012 01:48:33 PM MSK
uid:            1000
username:       mvel

backtrace:
:common.py:147:_run_raw_command:ExternalCommandFailed: External program failed (return code 1): hg '--encoding' 'utf-8' 'heads' '--template' '{node}
:'
:
:
:
:Traceback (most recent call last):
:  File "/usr/bin/hgpullsvn", line 9, in <module>
:    load_entry_point('hgsvn==0.1.9', 'console_scripts', 'hgpullsvn')()
:  File "/usr/lib/python2.7/site-packages/hgsvn/run/hgpullsvn.py", line 345, in main
:    return locked_main(real_main, options, args)
:  File "/usr/lib/python2.7/site-packages/hgsvn/run/common.py", line 90, in locked_main
:    return real_main(*args, **kwds)
:  File "/usr/lib/python2.7/site-packages/hgsvn/run/hgpullsvn.py", line 288, in real_main
:    "{node}%s" % os.linesep]).splitlines()
:  File "/usr/lib/python2.7/site-packages/hgsvn/common.py", line 229, in run_hg
:    bulk_args=bulk_args)
:  File "/usr/lib/python2.7/site-packages/hgsvn/common.py", line 174, in run_command
:    return _run_raw_command(cmd, map(_transform_arg, args), fail_if_stderr)
:  File "/usr/lib/python2.7/site-packages/hgsvn/common.py", line 147, in _run_raw_command
:    % (pipe.returncode, cmd_string, err, out))
:ExternalCommandFailed: External program failed (return code 1): hg '--encoding' 'utf-8' 'heads' '--template' '{node}
:'
:
:
:
:Local variables in innermost frame:
:cmd: 'hg'
:err: ''
:fail_if_stderr: False
:args: ['--encoding', 'utf-8', 'heads', '--template', '{node}\n']
:pipe: <subprocess.Popen object at 0x1410dd0>
:cmd_string: "hg '--encoding' 'utf-8' 'heads' '--template' '{node}\n'"
:out: ''

comment:
:imported repo with hgimportsvn
:then executed this command
Comment 1 Fedora End Of Life 2013-01-16 14:22:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Terje Røsten 2013-01-28 11:49:11 EST
Hi, thanks for your report.

Is this still a issue for you? 

Is this with a public source repo, what can I do to reproduce?
Comment 3 Fedora End Of Life 2013-04-03 15:45:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Terje Røsten 2013-06-26 14:12:42 EDT
Still trouble with hgsvn?
Comment 5 Fedora Update System 2013-11-19 17:06:42 EST
hgsvn-0.2.1-0.1.dev.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hgsvn-0.2.1-0.1.dev.fc18
Comment 6 Fedora Update System 2013-11-19 17:06:52 EST
hgsvn-0.2.1-0.1.dev.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hgsvn-0.2.1-0.1.dev.fc19
Comment 7 Fedora Update System 2013-11-19 17:07:00 EST
hgsvn-0.2.1-0.1.dev.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hgsvn-0.2.1-0.1.dev.fc20
Comment 8 Fedora Update System 2013-11-20 23:37:59 EST
Package hgsvn-0.2.1-0.1.dev.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hgsvn-0.2.1-0.1.dev.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21753/hgsvn-0.2.1-0.1.dev.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-12-01 04:38:58 EST
hgsvn-0.2.1-0.1.dev.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-12-01 04:40:01 EST
hgsvn-0.2.1-0.1.dev.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-13 22:52:58 EST
hgsvn-0.2.1-0.1.dev.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.